/*
 * DemosceneMusic - AbstractGroup.java - Copyright © 2012 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.demoscenemusic.data;

import java.util.Collection;

/**
 * Default implementation of a group data container.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class DefaultGroup extends DefaultBase implements Group {

	/**
	 * Creates a new group data container.
	 *
	 * @param id
	 *            The ID of the group
	 */
	public DefaultGroup(String id) {
		super(id);
	}

	//
	// GROUP METHODS
	//

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getName() {
		return getValue("name", String.class).get();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Group setName(String name) {
		getValue("name", String.class).set(name);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getUrl() {
		return getValue("url", String.class).get();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Group setUrl(String url) {
		getValue("url", String.class).set(url);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	@SuppressWarnings("unchecked")
	public Collection<Artist> getArtists() {
		return getValue("artists", Collection.class).get();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Group setArtists(Collection<Artist> artists) {
		getValue("artists", Collection.class).set(artists);
		return this;
	}

}
