/*
 * DemosceneMusic - TrackDerivative.java - Copyright © 2012 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.demoscenemusic.data;

/**
 * A track derivative contains a version of a {@link Track}. Most notable
 * different derivatives will be an original file (like a MOD or SID file) and a
 * rendered audio file.
 * <p>
 * This interface only exist to enable us to store custom
 * {@link #getProperties() properties} for a track derivative.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public interface TrackDerivative extends Base {

	/* nothing here. */

}
